. /usr/share/bash-completion/completions/podman
compalias dk='podman' \
          dkc='podman container' \
          dkcc='podman container create' \
          dkci='podman container inspect' \
          dkcls='podman container ls' \
          dkclsa='podman container ls -a' \
          dkclsaq='podman container ls -a -q' \
          dkclsq='podman container ls -q' \
          dkcrm!='podman container rm -f' \
          dkcrm='podman container rm' \
          dkcsp='podman container stop' \
          dkcst='podman container restart' \
          dkex='podman container exec -i -t' \
          dki='podman image' \
          dkic='podman image create' \
          dkii='podman image inspect' \
          dkil='podman pull' \
          dkils='podman image ls' \
          dkilsa='podman image ls -a' \
          dkilsaq='podman image ls -a -q' \
          dkilsq='podman image ls -q' \
          dkip='podman image push' \
          dkirm!='podman image rm -f' \
          dkirm='podman image rm' \
          dkis='podman image save' \
          dkit='podman image tag' \
          dklo='podman logs -f' \
          dkn='podman network' \
          dknc='podman network create' \
          dkni='podman network inspect' \
          dknls='podman network ls' \
          dknlsq='podman network ls -q' \
          dknrm!='podman network rm -f' \
          dknrm='podman network rm' \
          dksys='podman system' \
          dksysdf='podman system df' \
          dksysp!='podman system prune -f' \
          dksysp='podman system prune' \
          dktop='podman top' \
          dkv='podman volume' \
          dkvc='podman volume create' \
          dkvi='podman volume inspect' \
          dkvls='podman volume ls' \
          dkvlsq='podman volume ls -q' \
          dkvrm!='podman volume rm -f' \
          dkvrm='podman volume rm'

alias dc='docker-compose' \
      dcb!='docker-compose build --no-cache' \
      dcb='docker-compose build' \
      dccls='docker-compose ps' \
      dcclsq='docker-compose ps -q' \
      dcd='docker-compose down' \
      dcex='docker-compose exec' \
      dcl='docker-compose pull' \
      dcr='docker-compose run --rm' \
      dcrd='docker-compose run -d --rm' \
      dcrm!='docker-compose rm -f' \
      dcrm='docker-compose rm' \
      dcrmv!='docker-compose rm -v -f' \
      dcrmv='docker-compose rm -v' \
      dcsp='docker-compose stop' \
      dcst='docker-compose restart' \
      dcup='docker-compose up' \
      dcupb='docker-compose up --build' \
      dcupd='docker-compose up -d' \
      dcupdb='docker-compose up -d --build' \
      dcw='docker-compose watch'

function dkb() {
    local name="${1:-${PWD##*/}}"; shift

    docker build . -t "$name" "$@"
}

function dkr() {
    [ -z "$1" ] && set -- "${PWD##*/}"

    docker run -i -t "$@"
}
